format_version: 0.4.9
name: posix
url: https://gitlab.com/clean-and-itasks/libraries/posix
maintainer: TOP Software Technology
contact_email: support@top-software.nl
description: This library provides an interface to the POSIX specific system calls
license: BSD-2-Clause
version: 1.2.0
type: Library
dependencies:
  base: ^2.0 || ^3.0
  syscall: ^1.0
src:
  - src
package:
  core_modules:
    - System._Posix
  extra_files:
    - CHANGELOG.md
    - LICENSE
    - README.md
tests:
  compilation:
    compilation:
      {}
  # Some ccall problems are observed at the linking phase (e.g. missing
  # symbols), hence we build a small test program that includes the module.
  build_and_link:
    script:
      - clm: {main: test, target: test/test, src: [test]}
